Clean up events associated with deleted resources.
delete
/sia/v1/event/resources
Deletes unplanned events and child planned/simulated events associated with the given resource identities.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectExamples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Resource-associated event cleanup processed.
Root Schema : schema
Type:
Show Source
array-
Array of:
object ResourceDeletionCleanupResponse
Summary of event cleanup attempted for a deleted inventory resource.
Nested Schema : ResourceDeletionCleanupResponse
Type:
objectSummary of event cleanup attempted for a deleted inventory resource.
Show Source
-
deletedEvents: integer
(int32)
Number of matched events deleted successfully.
-
failedEvents: integer
(int32)
Number of matched events that failed deletion.
-
matchedEvents: integer
(int32)
Number of in-scope events matched for cleanup.
-
resourceId: string
UIM resource identifier stored on EIA events.
-
resourceType: string
EIA/UIM resource type used to find matching event associations.
Examples
400 Response
The request isn't valid
401 Response
The request is unauthorized
403 Response
The request is forbidden
500 Response
An Internal Server Error has occurred